For the complete documentation index, see llms.txt. This page is also available as Markdown.

Provider

get

Returns the relationship provider

Path parameters
organizationIdstringRequired

organization Identifier

Query parameters
filter[provider]stringOptional

Filters the collection of provider using a 'disjoint' RSQL expression

page[number]integerOptional

Number of pages to return. Can be used with page[size]

page[size]integerOptional

Number of elements per page. Can be used with page[number]

page[offset]integerOptional

Offset from 0 to start paginating. Can be used with page[limit]

page[limit]integerOptional

Maximum number of items to return. Can be used with page[offset]

page[totals]stringOptional

For requesting total pages/records be included in the response page meta data

Responses
200

Successful response

application/vnd.api+json
get/organization/{organizationId}/provider
GET /api/v1/organization/{organizationId}/provider HTTP/1.1
Accept: */*
200

Successful response

{
  "data": [],
  "included": [
    {
      "attributes": {},
      "id": "text",
      "relationships": {},
      "type": "text"
    }
  ]
}
post

Creates an item of type provider and adds it to provider

Path parameters
organizationIdstringRequired

organization Identifier

Body
Responses
201

Successful response

application/vnd.api+json
post/organization/{organizationId}/provider
POST /api/v1/organization/{organizationId}/provider HTTP/1.1
Content-Type: application/vnd.api+json
Accept: */*
Content-Length: 196

{
  "data": {
    "type": "text",
    "id": "text",
    "attributes": {
      "description": "text",
      "name": "text"
    },
    "relationships": {
      "organization": {
        "id": "text",
        "type": "organization"
      },
      "version": {
        "id": "text",
        "type": "version"
      }
    }
  }
}
201

Successful response

{
  "data": {
    "type": "text",
    "id": "text",
    "attributes": {
      "description": "text",
      "name": "text"
    },
    "relationships": {
      "organization": {
        "id": "text",
        "type": "organization"
      },
      "version": {
        "id": "text",
        "type": "version"
      }
    }
  }
}
get

Returns an instance of type provider

Path parameters
organizationIdstringRequired

organization Identifier

providerIdstringRequired

provider Identifier

Query parameters
Responses
200

Successful response

application/vnd.api+json
get/organization/{organizationId}/provider/{providerId}
GET /api/v1/organization/{organizationId}/provider/{providerId} HTTP/1.1
Accept: */*
200

Successful response

{
  "data": {
    "type": "text",
    "id": "text",
    "attributes": {
      "description": "text",
      "name": "text"
    },
    "relationships": {
      "organization": {
        "id": "text",
        "type": "organization"
      },
      "version": {
        "id": "text",
        "type": "version"
      }
    }
  },
  "included": [
    {
      "attributes": {},
      "id": "text",
      "relationships": {},
      "type": "text"
    }
  ]
}
delete

Deletes an instance of type provider

Path parameters
organizationIdstringRequired

organization Identifier

providerIdstringRequired

provider Identifier

Responses
204

Successful response

No content

delete/organization/{organizationId}/provider/{providerId}
DELETE /api/v1/organization/{organizationId}/provider/{providerId} HTTP/1.1
Accept: */*
204

Successful response

No content

patch

Modifies an instance of type provider

Path parameters
organizationIdstringRequired

organization Identifier

providerIdstringRequired

provider Identifier

Body
Responses
204

Successful response

No content

patch/organization/{organizationId}/provider/{providerId}
PATCH /api/v1/organization/{organizationId}/provider/{providerId} HTTP/1.1
Content-Type: application/vnd.api+json
Accept: */*
Content-Length: 196

{
  "data": {
    "type": "text",
    "id": "text",
    "attributes": {
      "description": "text",
      "name": "text"
    },
    "relationships": {
      "organization": {
        "id": "text",
        "type": "organization"
      },
      "version": {
        "id": "text",
        "type": "version"
      }
    }
  }
}
204

Successful response

No content

Last updated

Was this helpful?